KubeOne(1)

NAME
kubeone-ui - Show UI

SYNOPSIS
kubeone ui [flags]

DESCRIPTION
Starts a webserver providing a minimalistic overview of the KubeOne Kubernetes Cluster.

By default port 8080 will be used, you can customize the port via the port flag.

OPTIONS
-h, --help[=false]
    help for ui

--port=8080
    port on which webserver is running

OPTIONS INHERITED FROM PARENT COMMANDS
-c, --credentials=""
    File to source credentials and secrets from

-d, --debug[=false]
    debug output with stacktrace

-l, --log-format="text"
    format for logging

-m, --manifest="./kubeone.yaml"
    Path to the KubeOne config

-t, --tfjson=""
    Source for terraform output in JSON - to read from stdin. If path is a file, contents will be used. If path is a dictionary, terraform output -json is executed in this path

-v, --verbose[=false]
    verbose output

SEE ALSO
kubeone(1)

HISTORY
2-Feb-2026 Auto generated by spf13/cobra